package com.fjhx.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.order.OrderInfo;
import com.fjhx.params.order.OrderInfoEx;
import com.fjhx.params.order.OrderInfoVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 销售订单 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-13
 */
public interface OrderInfoService extends BaseService<OrderInfo> {

    Page<OrderInfoEx> getPage(Map<String, Object> condition);

    void add(OrderInfoVo orderVo);

    void edit(OrderInfoVo orderVo);

    Long excelImport(MultipartFile file);

    List<OrderInfo> getOrderByCustomerId(Long customerInfoId);

    OrderInfoEx getDetails(Long id);

    void addAfterSales(OrderInfoVo orderInfoVo);

}
